summaryrefslogtreecommitdiffstats
path: root/source/d/python-setuptools
diff options
context:
space:
mode:
Diffstat (limited to 'source/d/python-setuptools')
-rwxr-xr-xsource/d/python-setuptools/python-setuptools.SlackBuild36
-rw-r--r--source/d/python-setuptools/python-setuptools.url1
-rw-r--r--source/d/python-setuptools/slack-desc6
3 files changed, 35 insertions, 8 deletions
diff --git a/source/d/python-setuptools/python-setuptools.SlackBuild b/source/d/python-setuptools/python-setuptools.SlackBuild
index b867d3669..4f672eeaf 100755
--- a/source/d/python-setuptools/python-setuptools.SlackBuild
+++ b/source/d/python-setuptools/python-setuptools.SlackBuild
@@ -1,7 +1,7 @@
-#!/bin/sh
+#!/bin/bash
# Copyright 2013-2014 Audrius Kažukauskas <audrius@neutrino.lt>
-# Copyright 2014 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2014, 2017, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,9 +21,21 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
+# First, convert the .zip file if needed:
+if ls *.zip 1> /dev/null 2> /dev/null ; then
+ unzip *.zip
+ tar cf $(basename *.zip .zip).tar $(basename *.zip .zip)
+ touch -r *.zip *.tar
+ xz -9 *.tar
+ rm -r $(basename *.zip .zip)
+ rm *.zip
+fi
+
PKGNAM=python-setuptools
VERSION=${VERSION:-$(echo setuptools-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
SRCNAM=setuptools
@@ -35,7 +47,14 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -53,7 +72,14 @@ find -L . \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
rm -f setuptools/*.exe
-python setup.py install --root=$PKG
+
+python3 setup.py install --root=$PKG || exit 1
+
+# Drop the python3 version of easy_install so the python 2.7
+# one is installed. We prefer that one to be the default for now.
+rm -rf $PKG/usr/bin/easy_install
+
+python setup.py install --root=$PKG || exit 1
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a CHANGES.rst PKG-INFO README.rst docs/*.txt \
diff --git a/source/d/python-setuptools/python-setuptools.url b/source/d/python-setuptools/python-setuptools.url
new file mode 100644
index 000000000..6e63ed64c
--- /dev/null
+++ b/source/d/python-setuptools/python-setuptools.url
@@ -0,0 +1 @@
+https://pypi.python.org/pypi/setuptools
diff --git a/source/d/python-setuptools/slack-desc b/source/d/python-setuptools/slack-desc
index 6dcce3c61..378849e94 100644
--- a/source/d/python-setuptools/slack-desc
+++ b/source/d/python-setuptools/slack-desc
@@ -2,18 +2,18 @@
# The "handy ruler" below makes it easier to edit a package description.
# Line up the first '|' above the ':' following the base package name, and
# the '|' on the right side marks the last column you can put a character in.
-# You must make exactly 11 lines for the formatting to be correct. It's also
+# You must make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':' except on otherwise blank lines.
|-----handy-ruler------------------------------------------------------|
python-setuptools: python-setuptools (a collection of enhancements to Python distutils)
python-setuptools:
python-setuptools: This is a full featured library designed to facilitate packaging
-python-setuptools: Python projects. Features include Python package and module
+python-setuptools: Python projects. Features include Python package and module
python-setuptools: definitions, distribution package metadata, test hooks, project
python-setuptools: installation, and platform-specific details.
python-setuptools:
-python-setuptools:
+python-setuptools: Homepage: https://pypi.python.org/pypi/setuptools
python-setuptools:
python-setuptools:
python-setuptools: